//	ＡＩＧライブラリ　基本関数：サウンド関数
//		Copyright (C) 1989-1992,98 by AIG-SOFT

#ifndef	__AIG_SOUND__
#define	__AIG_SOUND__	1

#include "deftype.h"

#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif
#ifdef	__PROTO_TYPE
	int	pcmplay2(unchar *,int,int,int,int);
	void	bell(int);
	void	PCMplay(unchar *,int ,int );
	void	WaitPCM(void);
#else
	int	pcmplay2();
	void	bell();
	void	PCMplay();
	void	WaitPCM();
#endif
#ifdef	__cplusplus
}
#endif

// 音が止まるまで待つ
#define	WaitPCM()	while (a_stat())

// ADPCM制御
#define	PCM156	(-4)	/* 15.6MHz待ちなし */
#define	PCM156w	4	/* 15.6MHz待ち有り */
#define	PCM104	(-3)	/* 10.4MHz待ちなし */
#define	PCM104w	3	/* 10.4MHz待ち有り */
#define	PCM78	(-2)	/*  7.8MHz待ちなし */
#define	PCM78w	2	/*  7.8MHz待ち有り */
#define	PCM52	(-1)	/*  5.2MHz待ちなし */
#define	PCM52w	1	/*  5.2MHz待ち有り */
/* 処理の都合上、PCM39はない（手抜き）*/
#define	PCM39w	0	/*  3.9MHz待ちなし */

#endif
